1

I am trying to get e-text editor to run. I read http://www.e-texteditor.com/forum/viewtopic.php?p=14953#14953 and Compile e-text editor on Linux as well. But on my 10.04 Lucid it fails at the following step:

./build_externals_linux.sh debug

with the following error messages:

Building debug binaries
Building 32-bit binaries
Going to place output in /opt/etexteditor/external/out.debug
./build_externals_linux.sh: line 41: pushd: bakefile: No such file or directory
./build_externals_linux.sh: line 42: ./configure: No such file or directory
Cannot compile bakefile
./build_externals_linux.sh: line 46: popd: directory stack empty
./build_externals_linux.sh: line 49: pushd: metakit: No such file or directory
./build_externals_linux.sh: line 50: cd: builds: No such file or directory
Cannot compile MetaKit
./build_externals_linux.sh: line 56: popd: directory stack empty
./build_externals_linux.sh: line 59: pushd: pcre: No such file or directory
./build_externals_linux.sh: line 60: ./configure: No such file or directory
Cannot compile pcre
./build_externals_linux.sh: line 66: popd: directory stack empty
./build_externals_linux.sh: line 69: pushd: tinyxml: No such file or directory
make: *** No rule to make target `clean'.  Stop.
cannot compile TinyXML
./build_externals_linux.sh: line 77: popd: directory stack empty
./build_externals_linux.sh: line 80: pushd: libtommath: No such file or directory
make: *** No rule to make target `clean'.  Stop.
Cannot compile LTM
./build_externals_linux.sh: line 85: popd: directory stack empty
./build_externals_linux.sh: line 88: pushd: libtomcrypt: No such file or directory
make: *** No rule to make target `clean'.  Stop.
Cannot compile LTC
./build_externals_linux.sh: line 93: popd: directory stack empty
./build_externals_linux.sh: line 96: pushd: wxwidgets: No such file or directory
./build_externals_linux.sh: line 97: ./configure: No such file or directory
Cannot compile wxWidgets
./build_externals_linux.sh: line 104: popd: directory stack empty
./build_externals_linux.sh: line 107: pushd: webkit: No such file or directory
make: *** No rule to make target `clean'.  Stop.
./build_externals_linux.sh: line 109: ./WebKitTools/Scripts/build-webkit: No such file or directory
Cannot compile WebKit
./build_externals_linux.sh: line 113: popd: directory stack empty

what am I missing?

2

You need to install bakefile, there is no package from the official repositories, try: http://www.bakefile.org/wiki/Debian

  • I already have: #Needed for bakefile "deb apt.tt-solutions.com/ubuntu hardy main" in my sources.list and when I try sudo apt-get install bakefile i get "The following packages have unmet dependencies: bakefile: Depends: python2.5 but it is not installable E: Broken packages". Does it matter that I'm using lucid? – kristian nissen Nov 6 '10 at 16:10
  • Oh, that bakefile repository depends on python2.5 which is obsolete on Lucid :( – João Pinto Nov 6 '10 at 16:50
  • can I specify which python version to use? – kristian nissen Nov 6 '10 at 17:25
0

Which source files are you using?

Appears to be answered at:

https://stackoverflow.com/questions/2404998/compile-e-text-editor-on-linux

suggests to use:

https://github.com/ajpalkovic/e/tarball/linux

0
  1. install bakefile from sources
  2. try compiling from latest in http://github.com/tea/e branch

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.